Package org.jbpm.services.task.impl.model.xml

## Class JaxbOrganizationalEntity

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.JaxbOrganizationalEntity

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.OrganizationalEntity`

      public class JaxbOrganizationalEntity
      extends Object
      implements org.kie.api.task.model.OrganizationalEntity

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JaxbOrganizationalEntity.Type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbOrganizationalEntity()` |
    `JaxbOrganizationalEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<org.kie.api.task.model.OrganizationalEntity>` | `convertListFromJaxbImplToInterface​(List<JaxbOrganizationalEntity> jaxbList)` |
    `String` | `getId()` |
    `JaxbOrganizationalEntity.Type` | `getType()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setId​(String id)` |
    `void` | `setType​(JaxbOrganizationalEntity.Type type)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbOrganizationalEntity

          public JaxbOrganizationalEntity()

    - #### JaxbOrganizationalEntity

          public JaxbOrganizationalEntity​(org.kie.api.task.model.OrganizationalEntity orgEntity)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.OrganizationalEntity`

    - #### setId

          public void setId​(String id)

    - #### getType

          public JaxbOrganizationalEntity.Type getType()

    - #### setType

          public void setType​(JaxbOrganizationalEntity.Type type)

    - #### convertListFromJaxbImplToInterface

          public static List<org.kie.api.task.model.OrganizationalEntity> convertListFromJaxbImplToInterface​(List<JaxbOrganizationalEntity> jaxbList)

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`